# Class CIM_Rack
extends CIM_PhysicalFrame

A Rack is a PhysicalFrame that represents an enclosure in which Chassis are placed. Typically a Rack is nothing more than the enclosure, and all the functioning componentry is packaged in the Chassis, loaded in the Rack.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_PhysicalElement
|
+--CIM_PhysicalPackage
|
+--CIM_PhysicalFrame
|
+--CIM_Rack

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A Rack is a PhysicalFrame that represents an enclosure in which Chassis are placed. Typically a Rack is nothing more than the enclosure, and all the functioning componentry is packaged in the Chassis, loaded in the Rack.
UMLPackagePath | string | CIM::Physical::Package
Version | string | 2.21.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CountryDesignation | string |
Description | string | Designation of the country for which the Rack is designed. Country code strings are as defined by ISO/IEC 3166. The rack type is specified in the TypeOf Rack property.
ModelCorrespondence | string | CIM_Rack.TypeOfRack
Height | real32 |
Description | string | The height of the PhysicalPackage in 'U's. A 'U' is a standard unit of measure for the height of a Rack or rack-mountable component. It is equal to 1.75 inches or 4.445 cm.
Override | string | Height
PUnit | string | rack unit
Units | string | Us
TypeOfRack | uint16 |
Description | string | Enumeration indicating the type of Rack. Information such as "Telco" rack (value=2) or standard 19 inch rack (1) can be specified. The country for which the Rack is manufactured is defined in the the Country Designation property.
ModelCorrespondence | string | CIM_Rack.CountryDesignation
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Standard 19 Inch, Telco, Equipment Shelf, Non-Standard

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AudibleAlarm | boolean | CIM_PhysicalFrame
BreachDescription | string | CIM_PhysicalFrame
CableManagementStrategy | string | CIM_PhysicalFrame
CanBeFRUed | boolean | CIM_PhysicalElement
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_PhysicalElement
Depth | real32 | CIM_PhysicalPackage
Description | string | CIM_PhysicalElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_PhysicalElement
HealthState | uint16 | CIM_ManagedSystemElement
HotSwappable | boolean | CIM_PhysicalPackage
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
IsLocked | boolean | CIM_PhysicalFrame
LockPresent | boolean | CIM_PhysicalFrame
ManufactureDate | datetime | CIM_PhysicalElement
Manufacturer | string | CIM_PhysicalElement
Model | string | CIM_PhysicalElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherIdentifyingInfo | string | CIM_PhysicalElement
OtherPackageType | string | CIM_PhysicalPackage
PackageType | uint16 | CIM_PhysicalPackage
PartNumber | string | CIM_PhysicalElement
PoweredOn | boolean | CIM_PhysicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Removable | boolean | CIM_PhysicalPackage
RemovalConditions | uint16 | CIM_PhysicalPackage
Replaceable | boolean | CIM_PhysicalPackage
SecurityBreach | uint16 | CIM_PhysicalFrame
SerialNumber | string | CIM_PhysicalElement
SKU | string | CIM_PhysicalElement
Status | string | CIM_ManagedSystemElement
Tag | string | CIM_PhysicalElement
UserTracking | string | CIM_PhysicalElement
VendorEquipmentType | string | CIM_PhysicalElement
Version | string | CIM_PhysicalElement
VisibleAlarm | boolean | CIM_PhysicalFrame
Weight | real32 | CIM_PhysicalPackage
Width | real32 | CIM_PhysicalPackage
OperationalStatus | uint16[] | CIM_ManagedSystemElement
ServiceDescriptions | string[] | CIM_PhysicalFrame
ServicePhilosophy | uint16[] | CIM_PhysicalFrame
StatusDescriptions | string[] | CIM_ManagedSystemElement
VendorCompatibilityStrings | string[] | CIM_PhysicalPackage

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
IsCompatible | uint32 | CIM_PhysicalPackage